summaryrefslogtreecommitdiffstats
path: root/bin/toaster
diff options
context:
space:
mode:
authorAlexandru DAMIAN <alexandru.damian@intel.com>2015-02-02 12:13:58 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-02-02 12:34:41 +0000
commit0a1db7d1531f8254955e1152bcd8e6db4ec1d277 (patch)
treee6e8f219c58d5b1a6ba002353538a38f73cd12b6 /bin/toaster
parentc6eb0f7f16c59530c2525b2e5629fe86de4e8f0f (diff)
downloadbitbake-contrib-0a1db7d1531f8254955e1152bcd8e6db4ec1d277.tar.gz
toaster: proper setup for build configuration
This patch makes sure that all the toaster conf files are actually written from the build enviroment controllers. Additionally, toaster checks that the 'daemon' program, which is used to start the build system, is available (currently for localhost). [YOCTO #7171] Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bin/toaster')
-rwxr-xr-xbin/toaster5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/toaster b/bin/toaster
index 4f25293e7..85a2575a6 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -175,6 +175,11 @@ if [ -z "$ZSH_NAME" ] && [ `basename \"$0\"` = `basename \"$BASH_SOURCE\"` ]; th
exit 1;
fi
+ if [ "x`which daemon`" == "x" ]; then
+ echo -e "Failed dependency; toaster needs the 'daemon' program in order to be able to start builds'. Please install the 'daemon' program." 1>&2;
+ exit 1;
+ fi
+
# Define a fake builddir where only the pid files are actually created. No real builds will take place here.
BUILDDIR=/tmp
RUNNING=1